summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--builder/modules.d/slx-network/hooks/activate-bootif-dhcp.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/builder/modules.d/slx-network/hooks/activate-bootif-dhcp.sh b/builder/modules.d/slx-network/hooks/activate-bootif-dhcp.sh
index 94546d3e..e8d29b40 100644
--- a/builder/modules.d/slx-network/hooks/activate-bootif-dhcp.sh
+++ b/builder/modules.d/slx-network/hooks/activate-bootif-dhcp.sh
@@ -1,7 +1,12 @@
#!/bin/bash
+#
+# This script configures the udhcpc-based DHCP service for
+# within stage4, unless specifically disabled by SLX_STAGE4_DHCP
-. /run/openslx/network.conf
+. /etc/openslx
+[ -n "$SLX_STAGE4_DHCP" ] || exit 0
+. /run/openslx/network.conf
for script in setup-bootif-network udhcpc-trigger; do
if [ -e "${NEWROOT}/opt/openslx/scripts/${script}" ]; then
mv "${NEWROOT}/opt/openslx/scripts/${script}"{,.stage4}